OpenSceneGraph Forum Forum Index OpenSceneGraph Forum
Official forum which mirrors the existent OSG mailing lists. Messages posted here are forwarded to the mailing list and vice versa.
 
   FAQFAQ    SearchSearch    MemberlistMemberlist    RulesRules    UsergroupsUsergroups    RegisterRegister 
 Mail2Forum SettingsMail2Forum Settings  ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 
   AlbumAlbum  OpenSceneGraph IRC ChatOpenSceneGraph IRC Chat   SmartFeedSmartFeed 

Build OSG on iOS with support OpenGLES 3.0


 
Post new topic   Reply to topic    OpenSceneGraph Forum Forum Index -> Build system [build]
View previous topic :: View next topic  
Author Message
xerxses
Newbie


Joined: 06 Dec 2017
Posts: 2

PostPosted: Tue Dec 12, 2017 1:09 pm    Post subject:
Build OSG on iOS with support OpenGLES 3.0
Reply with quote

Hi, I build OSG for iOS with OpenGLES 3.0 support only. Now I got some problems:
Warning: Material::apply(State&) - not supported.
Warning: detected OpenGL error 'invalid operation' at after RenderBin::draw(..).

In CMake I saw possibility for build with support OpenGLES 2.0 and 3.0 together.

Questions:
1. Does OSG got full support with OpenGLES 3.0?
2. Is build OSG with OpenGLES 3.0 enough for success? Or 2.0 or both versions better?

Thank you!

Cheers,
Vlad
Back to top
View user's profile Send private message
Chris Hanson
Guest





PostPosted: Tue Dec 12, 2017 4:40 pm    Post subject:
Build OSG on iOS with support OpenGLES 3.0
Reply with quote

What you're seeing is normal. OpenGL ES 3.0 does not support the old fixed-function Material feature. OSG is warning you that you are trying to render a piece of geometry that uses this feature.

Your solution is to modify your scene to not use Material states and instead write shaders to create the desired appearance.


On Tue, Dec 12, 2017 at 6:10 AM, Vlad Domashevich < (
Only registered users can see emails on this board!
Get registred or enter the forums!
)> wrote:
Quote:
Hi, I build OSG for iOS with OpenGLES 3.0 support only. Now I got some problems:
Warning: Material::apply(State&) - not supported.
Warning: detected OpenGL error 'invalid operation' at after RenderBin::draw(..).

In CMake I saw possibility for build with support OpenGLES 2.0 and 3.0 together.

Questions:
1. Does OSG got full support with OpenGLES 3.0?
2. Is build OSG with OpenGLES 3.0 enough for success? Or 2.0 or both versions better?

Thank you!

Cheers,
Vlad

------------------
Read this topic online here:
http://forum.openscenegraph.org/viewtopic.php?p=72571#72571





_______________________________________________
osg-users mailing list
(
Only registered users can see emails on this board!
Get registred or enter the forums!
)
http://lists.openscenegraph.org/listinfo.cgi/osg-users-openscenegraph.org




--
Chris 'Xenon' Hanson, omo sanza lettere. http://www.alphapixel.com/
Training • Consulting • Contracting
3D • Scene Graphs (Open Scene Graph/OSG) • OpenGL 2 • OpenGL 3 • OpenGL 4 • GLSL • OpenGL ES 1 • OpenGL ES 2 • OpenCL
Legal/IP • Forensics • Imaging • UAVs • GIS • GPS • osgEarth • Terrain • Telemetry • Cryptography • LIDAR • Embedded • Mobile • iPhone/iPad/iOS • Android
@alphapixel facebook.com/alphapixel (775) 623-PIXL [7495]

------------------
Post generated by Mail2Forum
Back to top
Display posts from previous:   
Post new topic   Reply to topic    OpenSceneGraph Forum Forum Index -> Build system [build] All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You cannot download files in this forum

Similar Topics
Topic Author Forum Replies Posted
No new posts Android can't build osgdb_png lyn General [forum] 6 Fri Jun 29, 2018 2:35 am View latest post
No new posts Build error under Windows? Need feedb... robertosfield General 3 Wed Jun 27, 2018 11:11 am View latest post
No new posts Support for paletted images in dds pl... psi29a Plugins [osgPlugins] 1 Fri Jun 22, 2018 10:14 am View latest post
No new posts Can't build OSG 2.8.2 on CentOS 7.5 pau Build system [build] 7 Tue Jun 12, 2018 8:50 am View latest post
No new posts ANGLE/UWP support checked into OSG gi... robertosfield General 5 Fri Jun 01, 2018 2:08 pm View latest post


Board Security Anti Bot Question MOD - phpBB MOD against Spam Bots
Powered by phpBB © 2001, 2005 phpBB Group
Protected by Anti-Spam ACP